%define tar_version 1.0.0

Summary:	An rxvt-based terminal emulator for X11
Name:		aterm
Version: 1.0
Release:    %mkrel 4
Url:		http://download.sourceforge.net/aterm/
Source0:	ftp://ftp.afterstep.org/apps/aterm/%{name}-%{tar_version}.tar.bz2
Patch0:     aterm-1.0.0-no_debug_output.patch.bz2 
License:	GPL
Group:		Terminals
BuildRequires:	XFree86-devel xpm-devel
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Aterm is a colour vt102 terminal emulator based on rxvt 2.4.8 intended as an 
xterm replacement for users who do not require features such as Tektronix 4014 
emulation and toolkit style configurability

%prep
%setup -q -n %{name}-%{tar_version}
%patch0

%build
%configure --enable-fading --enable-background-image
%make

%install
rm -Rf $RPM_BUILD_ROOT

%makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1/

install -d m 0755 %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/aterm
?package(aterm): \
needs=x11 \
section="System/Terminals" \
title="ATerm"\
longtitle="A terminal emulator for the X Window System" \
command="/usr/bin/aterm -name Terminal" \
icon="terminals_section.png" \
xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=%{name} -name Terminal
Icon=%{name}
Terminal=false
Type=Application
iCategories=X-MandrivaLinux-System-Terminals;TerminalEmulator;System;
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus
update-alternatives --remove xvt %_bindir/aterm

%files
%defattr(-,root,root,0755)
%doc INSTALL ChangeLog doc/README.* aterm.lsm README.configure 
%doc doc/FAQ doc/ChangeLog.rxvt
%{_bindir}/aterm
%{_mandir}/man1/*
%{_menudir}/aterm
%{_datadir}/applications/*

%changelog
* Wed Sep 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-4mdv2007.0
- Fix XDG menu ( bug #25265)

* Mon Jul 31 2006 Lenny Cartier <lenny@mandriva.com> 1.0-3mdv2007.0
- xdg

* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 1.0-2mdk
- mkrel
- fix debug output by commenting the line ( patch0, bug 18194 )

* Tue Jul 05 2005 Michael Scherer <misc@mandriva.org> 1.0-1mdk
- New release 1.00

* Fri Jun 17 2005 Olivier Blin <oblin@mandriva.com> 1.0-0.beta4.1mdk
- beta4

* Fri Jun 03 2005 Michael Scherer <misc@mandriva.org> 1.0-0.beta3.1mdk
- beta3
- remove patch0

* Sat Mar 12 2005 Michael Scherer <misc@mandrake.org> 1.0-0.beta2.2mdk
- remove alternatives

* Fri Jan 21 2005 Michael Scherer <misc@mandrake.org> 1.0-0.beta2.1mdk
- 1.0.beta2
- use macro

* Wed Jan 12 2005 Michael Scherer <misc@mandrake.org> 1.0-0.beta1.1mdk
- 1.0.beta1

* Fri May 21 2004 Michael Scherer <misc@mandrake.org> 0.4.2-5mdk 
- fix #1496, add doc

* Mon Apr 19 2004 Michael Scherer <misc@mandrake.org> 0.4.2-4mdk 
- Rebuild

* Tue Apr  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.2-3mdk
- Rebuild to handle biarch struct utmp

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 0.4.2-2mdk
- Fix menu entry (png icon)

* Thu Nov 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2-1mdk
- add url
- new release

* Mon Aug 13 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.4.0-9mdk
- removed Chinese, Greek, and Japanese support : it needs quite some work, have
  a look at the debian patch

* Tue Aug 07 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.4.0-8mdk
- added --enable-fading configure option. read README.configure for more
- s|Copyright|License|
- corrected icon name s|terminals-section.xpm|terminals_section.xpm|
- added doc files

* Fri Jul  6 2001 Daouda LO <daouda@mandrakesoft.com> 0.4.0-7mdk
- s|Linux-Mandrake|Mandrake Linux

* Sun May 13 2001  Daouda Lo <daouda@mandrakesoft.com> 0.4.0-6mdk
- add menu entry for aterm

* Thu Feb  8 2001 Pixel <pixel@mandrakesoft.com> 0.4.0-5mdk
- add as alternative xvt

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 0.4.0-4mdk
- Make rpmlint happy

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-3mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.0-2mdk
- rebuild fro the BM

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new release
- add URL
- use new macros

* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-2mdk
- fix group
- fix sources permissions

* Tue Aug 24 1999 Daouda LO <daouda@mandrakesoft.com>
- Alfredo Kojima's additions of fast transparency
